apiVersion: external-secrets.io/v1
kind: ExternalSecret
metadata:
  name: mayacontigo-ocp-vault
  namespace: apps
spec:
  refreshInterval: "15s"
  secretStoreRef:
    name: vault-backend
    kind: ClusterSecretStore
  target:
    name: mayacontigo-ocp-secret
  data:
  - secretKey: VAULT_TOKEN
    remoteRef:
      key: mayacontigo-ocp
      property: VAULT_TOKEN
